source: multimedia/libdriv/alsa/driver/alsa-driver-config.xml@ 96ee548

10.0 10.1 11.0 6.0 6.1 6.2 6.2.0 6.2.0-rc1 6.2.0-rc2 6.3 6.3-rc1 6.3-rc2 6.3-rc3 7.10 7.4 7.5 7.6 7.6-blfs 7.6-systemd 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind gnome kde5-13430 kde5-14269 kde5-14686 ken/refactor-virt krejzi/svn lazarus nosym perl-modules qt5new systemd-11177 systemd-13485 trunk v5_1 xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 96ee548 was 96ee548, checked in by Bruce Dubbs <bdubbs@…>, 17 years ago

Yet more grammar

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@2265 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 1.6 KB
Line 
1<sect2>
2<title>Configuring <application><acronym>ALSA</acronym> Driver</application></title>
3
4<sect3><title>Config files</title>
5
6<para><filename>/etc/modules.conf</filename></para>
7
8</sect3>
9
10<sect3><title>Configuration Information</title>
11
12<para>To configure the <acronym>ALSA</acronym> drivers, you need to add some
13lines to <filename>/etc/modules.conf</filename>:</para>
14
15<screen><userinput><command>cat &gt;&gt; /etc/modules.conf &lt;&lt; "EOF"
16alias char-major-14 soundcore
17alias char-major-116 snd
18
19alias snd-card-0 snd-<replaceable>[soundcard-name]</replaceable>
20
21alias sound-slot-0 snd-card-0
22
23alias sound-service-0-0 snd-mixer-oss
24alias sound-service-0-1 snd-seq-oss
25alias sound-service-0-3 snd-pcm-oss
26alias sound-service-0-8 snd-seq-midi
27EOF</command></userinput></screen>
28
29<para><replaceable>[soundcard-name]</replaceable> needs to be replaced with the
30driver relevant to your sound card. If you have more than one sound card, you
31can add additional sections by repeating the above, changing the first 0 to
321 and so on.</para>
33
34<para>After editing <filename>/etc/modules.conf</filename> you need to run
35<command>depmod</command>. If the drivers you have compiled are for the
36version of the kernel you are currently running, simply run:</para>
37
38<screen><userinput><command>depmod</command></userinput></screen>
39
40<para>If you are compiling drivers for a different kernel version than those
41you are running, you will need to use a line similar to:</para>
42
43<screen><userinput><command>depmod -a 2.4.22 -F /boot/System.map-2.4.22</command></userinput></screen>
44
45</sect3>
46
47</sect2>
Note: See TracBrowser for help on using the repository browser.